Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.util
Class DiagramXmlWriter

    biouml.model.util.DiagramXmlConstants
      |
      +--biouml.model.util.DiagramXmlSupport
            |
            +--biouml.model.util.DiagramXmlWriter

public class DiagramXmlWriter
extends DiagramXmlSupport

Field Summary
`final static String` | `APPVERSION`
`final static String` | `VERSION`

Fields inherited from class biouml.model.util.DiagramXmlConstants
`AFTER_ATTR, AFTER_ELEMENT, APPVERSION_ATTR, ASSIGNMENT_ELEMENT, BACKGROUND_COLOR_ATTR, BACKGROUND_VISIBLE_ATTR, BOUNDARY_CONDITION_ATTR, COLOR_ATTR, COMMENT_ATTR, COMPARTMENT_ELEMENT, COMPARTMENT_INFO_ELEMENT, COMPLETION_TIME_ATTR, DELAY_ATTR, DELAY_UNIT_ATTR, DIAGRAM_ELEMENT, DIAGRAM_ELEMENT_ATTR, DIAGRAM_INFO_ELEMENT, DIAGRAM_TYPE_ATTR, DML_ELEMENT, EDGE_ELEMENT, EDGES_ELEMENT, EQUATION_ELEMENT, EQUATION_TYPE_ATTR, EQUIVALENTNODEGROUP_ELEMENT, EVENT_ELEMENT, EXECUTABLE_MODEL_ELEMENT, FORMULA_ATTR, HEIGHT_ATTR, HIDE_TITLE_ATTTR, ID_ATTR, IMAGE_ELEMENT, IN_REF_ATTR, INITIAL_TIME_ATTR, INITIAL_VALUE_ATTR, INPORT_ATTR, KERNEL_REF_ATTR, KERNEL_TYPE_ATTR, MODEL_CLASS_ATTR, NAME_ATTR, NODE_ELEMENT, NODES_ELEMENT, ON_EVENT_ELEMENT, OUT_REF_ATTR, OUTPORT_ATTR, PARAMETER_ELEMENT, PLOT_LINE_SPEC_ATTR, REPRESENTATIVE_ATTR, SHAPE_ATTR, SHOW_IN_PLOT_ATTR, SRC_ATTR, STATE_ELEMENT, STATE_ENTRY_ELEMENT, STATE_EXIT_ELEMENT, STATE_ON_EVENT_ELEMENT, STUB, TITLE_ATTR, TRANSITION_ELEMENT, TRIGGER_ATTR, UNITS_ATTR, UNKNOWN_VALUE, VALUE_ATTR, VARIABLE_ATTR, VARIABLE_ELEMENT, VERSION_ATTR, WHEN_ELEMENT, WIDTH_ATTR, X_ATTR, Y_ATTR`

Constructor Summary
`DiagramXmlWriter(File outFile)` This constructor is used to store the diagram XML description into the specified file.
`DiagramXmlWriter(OutputStream stream)` This constructor is used to store the diagram XML description into the specified ouput stream and can be used to store the diagram description into relational database.

Method Summary
`static boolean` | `isEdgeInfoInformative(Edge edge)`
`void` | `write(Diagram sourceDiagram, Module module)`
`void` | `write(Diagram sourceDiagram, Module module, Transformer transformer)`
`static void` | `writeCompartmentInfo(Element element, Compartment compartment)`
`static void` | `writeEdgeInfo(Element element, Edge edge, Document doc)`
`static void` | `writeNodeInfo(Element element, Node node, Document doc)`

Methods inherited from class biouml.model.util.DiagramXmlSupport
`getElement`

Field Detail

### APPVERSION

    public final static String APPVERSION

### VERSION

    public final static String VERSION

Constructor Detail

### DiagramXmlWriter

    public DiagramXmlWriter(File outFile)
                       throws java.io.FileNotFoundException

  This constructor is used to store the diagram XML description into the specified file.

### DiagramXmlWriter

    public DiagramXmlWriter(OutputStream stream)

  This constructor is used to store the diagram XML description into the specified ouput stream and can be used to store the diagram description into relational database.

Method Detail

### isEdgeInfoInformative

    public static boolean isEdgeInfoInformative(Edge edge)

### write

    public void write(Diagram sourceDiagram, Module module)
                throws java.lang.Exception

### write

    public void write(Diagram sourceDiagram, Module module, Transformer transformer)
                throws java.lang.Exception

### writeCompartmentInfo

    public static void writeCompartmentInfo(Element element, Compartment compartment)

### writeEdgeInfo

    public static void writeEdgeInfo(Element element, Edge edge, Document doc)

### writeNodeInfo

    public static void writeNodeInfo(Element element, Node node, Document doc)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.io.OutputStream

  Stream to store the XML .

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM